/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for CADImageLibraryEntryTemplate
 */
public enum EnumCV_CADImageLibraryEntryTemplate 
{
	//TID 4020 CAD Image Library Entry Template
	IMAGE_LATERALITY_111027("111027"),
	IMAGE_VIEW_111031("111031"),
	IMAGE_VIEW_MODIFIER_111032("111032"),
	PATIENT_ORIENTATION_ROW_111044("111044"),
	PATIENT_ORIENTATION_COLUMN_111043("111043"),
	STUDY_DATE_111060("111060"),
	STUDY_TIME_111061("111061"),
	CONTENT_DATE_111018("111018"),
	CONTENT_TIME_111019("111019"),
	HORIZONTAL_PIXEL_SPACING_111026("111026"),
	VERTICAL_PIXEL_SPACING_111066("111066"),
	POSITIONER_PRIMARY_ANGLE_112011("112011"),
	POSITIONER_SECONDARY_ANGLE_112012("112012");

	private String value;

	EnumCV_CADImageLibraryEntryTemplate(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
